Package org.w3._1999.xhtml

# Class Meta

java.lang.Object
org.w3._1999.xhtml.Meta

public class Meta extends Object
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <attGroup ref="{http://www.w3.org/1999/xhtml}i18n"/> <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" /> <attribute name="http-equiv" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /> <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /> <attribute name="content" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /> <attribute name="scheme" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `content`
  `protected String`
  `dir`
  `protected String`
  `httpEquiv`
  `protected String`
  `id`
  `protected String`
  `lang`
  `protected String`
  `name`
  `protected String`
  `scheme`
  `protected String`
  `xmlLang`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Meta()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContent()`
  Gets the value of the content property.
  `String`
  `getDir()`
  Gets the value of the dir property.
  `String`
  `getHttpEquiv()`
  Gets the value of the httpEquiv property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLang()`
  Gets the value of the lang property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getScheme()`
  Gets the value of the scheme property.
  `String`
  `getXmlLang()`
  Gets the value of the xmlLang property.
  `void`
  `setContent(String value)`
  Sets the value of the content property.
  `void`
  `setDir(String value)`
  Sets the value of the dir property.
  `void`
  `setHttpEquiv(String value)`
  Sets the value of the httpEquiv property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setScheme(String value)`
  Sets the value of the scheme property.
  `void`
  `setXmlLang(String value)`
  Sets the value of the xmlLang property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id

  - ### httpEquiv

    protected String httpEquiv

  - ### name

    protected String name

  - ### content

    protected String content

  - ### scheme

    protected String scheme

  - ### lang

    protected String lang

  - ### xmlLang

    protected String xmlLang

  - ### dir

    protected String dir

- ## Constructor Details

  - ### Meta

    public Meta()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getHttpEquiv

    public String getHttpEquiv()
    Gets the value of the httpEquiv property.
    Returns:
      possible object is `String`

  - ### setHttpEquiv

    public void setHttpEquiv(String value)
    Sets the value of the httpEquiv property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getContent

    public String getContent()
    Gets the value of the content property.
    Returns:
      possible object is `String`

  - ### setContent

    public void setContent(String value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `String`

  - ### getScheme

    public String getScheme()
    Gets the value of the scheme property.
    Returns:
      possible object is `String`

  - ### setScheme

    public void setScheme(String value)
    Sets the value of the scheme property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLang

    public String getLang()
    Gets the value of the lang property.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getXmlLang

    public String getXmlLang()
    Gets the value of the xmlLang property.
    Returns:
      possible object is `String`

  - ### setXmlLang

    public void setXmlLang(String value)
    Sets the value of the xmlLang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDir

    public String getDir()
    Gets the value of the dir property.
    Returns:
      possible object is `String`

  - ### setDir

    public void setDir(String value)
    Sets the value of the dir property.
    Parameters:
      `value` - allowed object is `String`